Endpoint: !ValidateMarkLogo

https://secure.trust-provider.com/products/!ValidateMarkLogo

The ValidateMarkLogo API endpoint validates a logo file for Verified Mark Certificate (VMC) and Common Mark Certificate (CMC) orders before submission, ensuring it meets all technical and compliance requirements.

Use the POST method for this endpoint.

Submit parameters in the x-www-form-urlencoded format.

Request parameters

Parameter Type Requirement Max. Length Description

loginName

string

required

64 chars

Your account username.

This value is case sensitive.

loginPassword

string

required

128 chars

Your account password.

This value is case sensitive.

markLogo

string

required

32767 chars

The mark logo image, provided as a Base64-encoded string.

Sample request

curl --location --request POST 'https://secure.trust-provider.com/products/!ValidateMarkLogo' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'loginName=yourLoginName' \
--data-urlencode 'loginPassword=yourPassword' \
--data-urlencode 'markLogo=yourBase64EncodedLogo'

Response

The MIME type of the response is application/json.

The response contains an error object that indicates the result of the request.

If the status code value is less than 0, the response represents a failure and includes an error description.

If the status code value is greater than or equal to 0, the response represents a successful operation.

Response parameters

Field Type Description

errorCode

integer

A numeric code that identifies the type of error.

errorMessage

string

A description of the error. This field is null when the request is successful.

errorItem

string

Additional error details. This field is null when the request is successful.

Sample success response

{
    "error": {
        "code": 0,
        "description": null,
        "item": null
    }
}

Sample error response

	{
    "error": {
        "code": -160,
        "description": "Failed to validate logo. SVG must be version 1.2 with baseProfile 'tiny-ps'.viewBox width and height must be equal (square). Got 216.03749x216.36249. Width and height must be numeric (optionally ending in 'px'). Attribute xmlns:dc not allowed on <svg>.Attri",
        "item": "Failed to validate logo. SVG must be version 1.2 with baseProfile 'tiny-ps'.viewBox width and height must be equal (square). Got 216.03749x216.36249. Width and height must be numeric (optionally ending in 'px'). Attribute xmlns:dc not allowed on <svg>.Attri"
    }
}